#!/bin/sh

apt install -y clang lld musl-dev cargo
cp -R backend/* .
cargo build --release --target-dir ./build
mv ./build/release/simple-wkd simple-wkd-executable


apt install -y npm
cp -R website/* .
npm install -g pnpm && \
    pnpm install && \
    pnpm run build
#cp -R assets/* assets
mv dist assets/webpage



#WORKDIR /wkd
#COPY entrypoint.sh entrypoint.sh
#COPY --from=webpage-builder assets assets
#COPY --from=bin-builder simple-wkd-executable wkd
#RUN apk add --no-cache libgcc && \
#    adduser --no-create-home --disabled-password wkd && \
#    chown -R wkd:wkd /wkd
#
#ENTRYPOINT [ "sh", "/wkd/entrypoint.sh" ]
